<h1 class="title">Cidenet employees list</h1>

<div class="flex">
    <mat-form-field appearance="fill">
        <mat-label>Filter</mat-label>
        <input matInput (keyup)="applyFilter($event)" #input>
    </mat-form-field>
    <div class="text-end">
        <button type="button" class="button" (click)="newEmployee()"><i class="fa-regular fa-floppy-disk"></i> New employee</button>
    </div>
</div>

<div class="container-ctable">
    <table mat-table [dataSource]="employeeList" matSort>

        <ng-container matColumnDef="name">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Name </th>
            <td mat-cell *matCellDef="let row"> {{row.name}} </td>
        </ng-container>

        <ng-container matColumnDef="otherNames">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Other names </th>
            <td mat-cell *matCellDef="let row"> {{row.otherNames}} </td>
        </ng-container>

        <ng-container matColumnDef="fristSurname">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Frist surname </th>
            <td mat-cell *matCellDef="let row"> {{row.fristSurname}} </td>
        </ng-container>

        <ng-container matColumnDef="secondSurname">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Second surname </th>
            <td mat-cell *matCellDef="let row"> {{row.secondSurname}} </td>
        </ng-container>

        <ng-container matColumnDef="typeId">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Type id </th>
            <td mat-cell *matCellDef="let row"> {{row.typeId}} </td>
        </ng-container>

        <ng-container matColumnDef="idEmployee">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Id employee </th>
            <td mat-cell *matCellDef="let row"> {{row.idEmployee}} </td>
        </ng-container>

        <ng-container matColumnDef="employmentsCountry">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Country of employment </th>
            <td mat-cell *matCellDef="let row"> {{row.employmentsCountry}} </td>
        </ng-container>

        <ng-container matColumnDef="email">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
            <td mat-cell *matCellDef="let row"> {{row.email}} </td>
        </ng-container>

        <ng-container matColumnDef="status">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Status </th>
            <td mat-cell *matCellDef="let row"> {{row.status}} </td>
        </ng-container>

        <ng-container matColumnDef="action">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>  </th>
            <td mat-cell *matCellDef="let row"> 
                <button (click)="editEmployee(row)" type="button" class="button__table button__table--green"><i class="fa-regular fa-pen-to-square"></i></button>
                <button (click)="clickDeleteEmployee(row)" type="button" class="button__table button__table--red"><i class="fa-solid fa-trash-can"></i></button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    </table>

    <mat-paginator [length]="resultsLength" [pageSizeOptions]="[10]" aria-label="Select page of employees"></mat-paginator>
</div>
